﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace Infragistics.Samples
{
    public class CountryUse
    {
        public string Year { get; set; }
        public double ForrestView { get; set; }
        public double Coal { get; set; }
        public double Oil { get; set; }
        public double Gas { get; set; }
        public double Hydro { get; set; }
        public double Total { get; set; }
        public double Renewable { get; set; }
        public double NonRenewable { get; set; }

    }
    class EnergyUse : ObservableCollection<CountryUse>
    {
        public EnergyUse()
        {
            this.Add(new CountryUse() { Year = "2018", ForrestView = 225, Coal = 400, Oil = 100 });
            this.Add(new CountryUse() { Year = "2017", ForrestView = 400, Coal = 925, Oil = 100 });
            this.Add(new CountryUse() { Year = "2016", ForrestView = 475, Coal = 550, Oil = 100 });            
        }
    }
}
